//
// C++ Implementation: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "cdemux.h"
#include <pthread.h>
#include "sectionreceiver.h"
#include <iostream>

using namespace std;

cDemux::cDemux(void)
{
}

cDemux::~cDemux(void)
{
}

void cDemux::Attach(cSectionReceiver *_rec)
{
  receiver.insert(receiver.end(),_rec);
}

void cDemux::Detach(cSectionReceiver *_rec)
{
  receiver.remove(_rec);
}

void cDemux::receiveSection(__u8*sect, int size)
{
  for (list<cSectionReceiver*>::iterator it= receiver.begin(); it != receiver.end(); ++it)
    (*it)->receiveSection(sect, size);
}
