//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CDEMUXDEVICE_H
#define CDEMUXDEVICE_H

#include "defaults.h"
#include "cdemux.h"

/**
@author Matthias Schwarzott
*/

class cSectionReceiver;

class cDemuxDevice : public cDemux {
private:
    int adapter;
    int demux;
    int pid;
    int demux_fd;
public:
    cDemuxDevice(int _adapter, int _demux, int _pid);

    ~cDemuxDevice();

    virtual bool Open(void);
    virtual void Close(void);
    virtual void Action();
};

#endif
