//
// C++ Implementation: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "defaults.h"
#include "csectiondump.h"

#include <stdio.h>
#include <linux/ip.h>
#include <linux/udp.h>
#include <fcntl.h>
#include <unistd.h>
#include <string>
#include <sstream>

cSectionDump::cSectionDump(char *_fname)
{
    fname=_fname;
    if (fname) {
        fd = open(fname, O_RDWR | O_CREAT, 0644);
    } else {
        fd=-1;
    }
}


cSectionDump::~cSectionDump()
{
    if (fd!=-1)
        close(fd);
}

void cSectionDump::receiveSection(__u8 *_Data, int _Length)
{
    if (fd!=-1) {
        write(fd, &_Length, sizeof(_Length));
        write(fd, _Data, _Length);
    }
}


