//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CDEMUX_H
#define CDEMUX_H

#include "defaults.h"
#include <thread.h>
#include <list>
#include "sectionreceiver.h"

/**
@author Matthias Schwarzott
*/
class cSectionReceiver;

class cDemux : public cThread {
protected:
    std::list<cSectionReceiver*> receiver;
public:
    cDemux();
    virtual ~cDemux();

    void Attach(cSectionReceiver *_rec);
    void Detach(cSectionReceiver *_rec);
    
    virtual bool Open(void)=0;
    virtual void Close(void)=0;
    void receiveSection(__u8 *buffer, int bufsize);
};

#endif
