#ifndef __checksums_h_
#define __checksums_h_

//#include "crc32.h"

struct iphdr;
struct udphdr;

__u16 IPChecksum(iphdr *ipHeader);
__u16 UDPChecksum(iphdr *ip, udphdr *udp);

#define section_crc(length, data) crc32_be(~0, data, length);

#endif // __checksums_h_
