#include "defaults.h"

#include "hexdump.h"
#include "stdio.h"

void hexdump(void *d, int Length)
{
   __u8 *Data=(__u8*)d;
   int i,j;
   for (i=0;i<Length;i+=16) {
      printf("  %03X  -- ",i);
      for (j=0;j<16;j++) {
         if (i+j<Length) {
            printf("%02x ",Data[i+j]);
         } else {
            printf("   ");
         }
         if (j==7)
            printf("  ");
      }
      printf("    ");
      for (j=0;j<16;j++) {
         if (i+j<Length) {
            unsigned char c=Data[i+j];
            if (c >= 0x20)
               printf("%c",c);
            else
               printf(".");
         } else {
            printf(" ");
         }
         if (j==7)
            printf("  ");
      }
      printf("\n");
   }
}
