//
// C++ Implementation: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "thread.h"
#include <pthread.h>
#include <iostream>
#include <sys/types.h>
#include <unistd.h>

using namespace std;

cThread::cThread(void)
{
    parentTid = childTid = 0;
}

cThread::~cThread(void)
{
}

void *cThread::StartThread(cThread *Thread)
{
    Thread->childTid = pthread_self();
    cerr << "thread started (pid=" << getpid() << ",tid=" << Thread->childTid << ")" << endl;
    Thread->Action();
    cerr << "thread ended (pid=" << getpid() << ",tid=" << Thread->childTid << ")" << endl;
    Thread->childTid = 0;
    return NULL;
}

void cThread::Start(void)
{
    if (!childTid) {
        parentTid = pthread_self();
        pthread_create(&childTid, NULL, (void *(*) (void *))&StartThread, (void *)this);
        pthread_detach(childTid); // auto-reap
        pthread_setschedparam(childTid, SCHED_RR, 0);
    }
}

